# QTextTableCell Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QTextTableCell()
- void QTextTableCell(QTextTableCell o)

### Constructor Properties

- prototype: The QTextTableCell prototype object

### Prototype Object Properties

- QTextFrame_iterator begin()
- int column()
- int columnSpan()
- QTextFrame_iterator end()
- QTextCursor firstCursorPosition()
- int firstPosition()
- QTextCharFormat format()
- bool isValid()
- QTextCursor lastCursorPosition()
- int lastPosition()
- bool operator_equal(QTextTableCell other)
- int row()
- int rowSpan()
- void setFormat(QTextCharFormat format)
- int tableCellFormatIndex()

### Instance Properties

QTextTableCell objects have no special properties beyond those inherited from the QTextTableCell prototype object.